import { animate, style, transition, trigger } from '@angular/animations';
import { Component, OnInit } from '@angular/core';

@Component({
    selector: 'app-wrapper',
    templateUrl: './wrapper.component.html',
    styleUrls: ['./wrapper.component.scss'],
    animations: [
        trigger('routeAnimations', [
                transition('* => *', [
                    style({opacity: 0}),
                    animate('300ms', style({opacity: 1}))
                ])
            ]
        )
    ]
})
export class WrapperComponent implements OnInit {

    constructor() {
        //
    }

    ngOnInit() {
        //
    }

}
